/**
* 文件：VersionEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.version.model;

import java.util.Date;

import com.mortals.framework.model.BaseEntityLong;

/**
 * <p>Title: 系统版本信息</p>
 * <p>Description: VersionEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class VersionEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1575265170865L;
	
	/** 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充 */
	private Integer type;

	/** 版本下载地址，当前版本下载地址,相对路径保存 */
	private String downloadUrl;

	/** 版本号，版本号 */
	private String version;

	/** 版本描述信息，描述信息 */
	private String description;

	/** 版本状态，0:停用，1：正常，默认1 */
	private Integer versionStatus;

	/** 创建用户ID */
	private Long createUserId;

	/** 创建用户名称 */
	private String createUserName;

	/** 创建时间 */
	private Date createTime;


	public VersionEntity(){
		
	}
	/**
	 * 获取 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @return type
	 */
	public Integer getType(){
		return this.type;
	}

	/**
	 * 设置 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @param type
	 */
	public void setType(Integer type){
		this.type = type;
	}

	/**
	 * 获取 版本下载地址，当前版本下载地址,相对路径保存
	 * @return downloadUrl
	 */
	public String getDownloadUrl(){
		return this.downloadUrl;
	}

	/**
	 * 设置 版本下载地址，当前版本下载地址,相对路径保存
	 * @param downloadUrl
	 */
	public void setDownloadUrl(String downloadUrl){
		this.downloadUrl = downloadUrl;
	}

	/**
	 * 获取 版本号，版本号
	 * @return version
	 */
	public String getVersion(){
		return this.version;
	}

	/**
	 * 设置 版本号，版本号
	 * @param version
	 */
	public void setVersion(String version){
		this.version = version;
	}

	/**
	 * 获取 版本描述信息，描述信息
	 * @return description
	 */
	public String getDescription(){
		return this.description;
	}

	/**
	 * 设置 版本描述信息，描述信息
	 * @param description
	 */
	public void setDescription(String description){
		this.description = description;
	}

	/**
	 * 获取 版本状态，0:停用，1：正常，默认1
	 * @return versionStatus
	 */
	public Integer getVersionStatus(){
		return this.versionStatus;
	}

	/**
	 * 设置 版本状态，0:停用，1：正常，默认1
	 * @param versionStatus
	 */
	public void setVersionStatus(Integer versionStatus){
		this.versionStatus = versionStatus;
	}

	/**
	 * 获取 创建用户ID
	 * @return createUserId
	 */
	public Long getCreateUserId(){
		return this.createUserId;
	}

	/**
	 * 设置 创建用户ID
	 * @param createUserId
	 */
	public void setCreateUserId(Long createUserId){
		this.createUserId = createUserId;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserName
	 */
	public String getCreateUserName(){
		return this.createUserName;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserName
	 */
	public void setCreateUserName(String createUserName){
		this.createUserName = createUserName;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof VersionEntity) {
			VersionEntity tmp = (VersionEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",type:").append(getType())
		  .append(",downloadUrl:").append(getDownloadUrl())
		  .append(",version:").append(getVersion())
		  .append(",description:").append(getDescription())
		  .append(",versionStatus:").append(getVersionStatus())
		  .append(",createUserId:").append(getCreateUserId())
		  .append(",createUserName:").append(getCreateUserName())
		  .append(",createTime:").append(getCreateTime());
		return sb.toString();
	}
	public void initAttrValue(){
		this.type = null;
		this.downloadUrl = null;
		this.version = null;
		this.description = null;
		this.versionStatus = 1;
		this.createUserId = null;
		this.createUserName = null;
		this.createTime = null;
	}
}